Skip to main content

Properties

Search properties​

POST /api/v1/properties/search

Shell
curl -X POST https://api.rushdb.com/api/v1/properties/search \
-H "Authorization: Bearer $RUSHDB_API_KEY" \
-H "Content-Type: application/json" \
-d '{"where": {"type": "string"}}'

Get property by ID​

GET /api/v1/properties/:propertyId

Shell
curl https://api.rushdb.com/api/v1/properties/prop-123 \
-H "Authorization: Bearer $RUSHDB_API_KEY"

Get property values​

POST /api/v1/properties/:propertyId/values

Returns distinct values for a property — useful for filter UIs.

Shell
curl -X POST https://api.rushdb.com/api/v1/properties/prop-123/values \
-H "Authorization: Bearer $RUSHDB_API_KEY" \
-H "Content-Type: application/json" \
-d '{"query": "sci", "orderBy": "asc", "limit": 100}'
FieldTypeDescription
querystringFilter values containing this text
orderBy"asc" | "desc"Sort direction
skipnumberPagination offset
limitnumberMax values to return

Delete property​

DELETE /api/v1/properties/:propertyId

warning

Deletes the property and removes it from all records in the database.

Shell
curl -X DELETE https://api.rushdb.com/api/v1/properties/prop-123 \
-H "Authorization: Bearer $RUSHDB_API_KEY"